Subject: bug#30469: closed (Re: [bug#30469] [PATCH 0/1] Require Guile >= 2.0.14)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 26 Feb 2018 18:50:06 +0000

Your bug report

#30469: [PATCH 0/1] Require Guile >= 2.0.14

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30469: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30469
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#30469] [PATCH 0/1] Require Guile >= 2.0.14
From: [email-masked] (Ludovic Courtès)
To: Eric Bavier <[email-masked]>
Cc: [email-masked]
Date: Mon, 26 Feb 2018 19:49:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Bavier <[email-masked]> skribis:

> On Sat, 24 Feb 2018 23:41:24 +0100
> [email-masked] (Ludovic Courtès) wrote:
>
>> Hello,
>> 
>> Eric Bavier <[email-masked]> skribis:
>> 
>> > On Thu, 15 Feb 2018 16:26:27 +0100
>> > Ludovic Courtès <[email-masked]> wrote:
>> >  
>> >> Hello Guix,
>> >> 
>> >> This patch is to require Guile >= 2.0.14, released one year ago, instead
>> >> of 2.0.9, released in 2013.
>> >> 
>> >> For the record, here’s the distro status:
>> >> 
>> >>   • Debian unstable has 2.2:
>> >>     <https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=guile-2.2>.
>> >> 
>> >>   • Older Debian versions have 2.0.13 (not .14):
>> >>     <https://packages.debian.org/search?keywords=guile-2.0>.  
>> >
>> > How much of this patch would change if it were to instead support
>> > 2.0.13?  Is cutting off users of Debian stable a good idea?  
>> 
>> I’ll double-check but I think the patch remains valid if we require
>> 2.0.13.
>> 
>> If it works I’ll commit that next week.
>
> Cool.

Pushed as 1d84d7bf6052c0c80bd212d4524876576e9817d4.

Thanks for your feedback!

Ludo’.

Subject: [PATCH 0/1] Require Guile >= 2.0.14
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Thu, 15 Feb 2018 16:26:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

This patch is to require Guile >= 2.0.14, released one year ago, instead
of 2.0.9, released in 2013.

For the record, here’s the distro status:

  • Debian unstable has 2.2:
    <https://packages.debian.org/search?suite=default&section=all&arch=any&searchon=names&keywords=guile-2.2>.

  • Older Debian versions have 2.0.13 (not .14):
    <https://packages.debian.org/search?keywords=guile-2.0>.

  • Parabola, Gentoo, Homebrew, openSUSE, Fedora 26+ have 2.0.14 and/or
    2.2: <https://repology.org/metapackage/guile/versions>.

I’d like to have this change in place for the next Guix release, 0.14.1
I presume.

I’d also like it to be the last release that support Guile 2.0.

Thoughts?

Ludo’.

Ludovic Courtès (1):
  build: Require Guile >= 2.0.14.

 README                      |   2 +-
 config-daemon.ac            |   5 --
 configure.ac                |   2 +-
 doc/guix.texi               |   2 +-
 guix/build/download.scm     |  10 +--
 guix/build/syscalls.scm     |  48 +-------------
 guix/hash.scm               |   3 +-
 guix/http-client.scm        | 154 +-------------------------------------------
 guix/scripts/substitute.scm |  18 ++----
 m4/guix.m4                  |  17 -----
 tests/hash.scm              |  11 +---
 11 files changed, 14 insertions(+), 258 deletions(-)

-- 
2.16.1